Create or update an external agent
curl --request POST \
--url https://thalamus.nerds.nl/api/v1/partner/reference/agent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "AGT-42",
"name": "Jane Smith",
"group_ids": [
"GRP-100",
"GRP-200"
],
"status": "active"
}
'import requests
url = "https://thalamus.nerds.nl/api/v1/partner/reference/agent"
payload = {
"id": "AGT-42",
"name": "Jane Smith",
"group_ids": ["GRP-100", "GRP-200"],
"status": "active"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'AGT-42',
name: 'Jane Smith',
group_ids: ['GRP-100', 'GRP-200'],
status: 'active'
})
};
fetch('https://thalamus.nerds.nl/api/v1/partner/reference/agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "<string>",
"label": "<string>"
},
"message": "<string>"
}{
"success": true,
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "<string>",
"label": "<string>"
},
"message": "<string>"
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "Validation failed: body is required"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or revoked API key"
}
}References
Create or update an external agent
POST
/
reference
/
agent
Create or update an external agent
Authorizations
Partner API key (e.g. nerds_live_a8f3d9k2m5n7p1q4r6t8v0w2x4y6z8)
Body
application/json
⌘I